const { join } = require('path')
const { api } = require('skypager-webpack')

module.exports = function (env, options = {}) {
  return api()
    .target('node')
    .externals(require.resolve('./package.json'))
    .context(__dirname)
    .entry({
      index: 'index.js'
    })
    .alias('react-native', 'react-native-web')
    .modules(
      join(__dirname, 'src'),
      join(__dirname, '..', 'packages')
    )
    .node({
      __dirname: false,
      __filename: false,
    })
    .output({
      path: join(__dirname, 'lib'),
      filename: '[name].js',
    })
    .loader('babel', '.js', {
      include: [
        join(__dirname, 'src'),
      ],
      exclude: [
        /node_modules/,
      ],
    })
    .getConfig()
}
